import http from "@/http/http.js";

let baseUrl = "/api/web/action/tmQuery/springBoard";

// 商标详情查询接口
export function tradeMarkDetail(params) {
  return http.post(baseUrl, {
    actionType: "tradeMarkDetail",
    actionBody: params
  });
}

//企业查询接口
export function getCompanyInfoNoUser(name) {
  return http.post(baseUrl, {
    actionType: "getCompanyInfoNoUser",
    actionBody: {
      company_name: name
    }
  });
}

// 近12期初审公告
export function noticequeryTMZCSQ() {
  return http.post(baseUrl, {
    actionType: "noticequeryTMZCSQ",
    actionBody: {
      noticetype: "TMZCSQ"
    }
  });
}

// 公告列表检索接口
export function noticequery(params) {
  return http.post(baseUrl, {
    actionType: "noticequery",

    actionBody: params
  });
}

// 初审公告详情查询接口
export function noticeSearch(params) {
  return http.post(baseUrl, {
    actionType: "noticesearch",
    // actionBody: {
    //   csggqh: 1663, //公告期号
    //   sbzch: "36280736" //商标注册号
    // }
    actionBody: params
  });
}

//商标精确检索接口
export function findTrademarkNameAccurate(params) {
  return http.post(baseUrl, {
    actionType: "findTrademarkNameAccurate",
    actionBody: params
  });
}

//近似商标查询接口
export function findTrademarkName(params) {
  return http.post(baseUrl, {
    actionType: "findTrademarkName",
    actionBody: params
  });
}

//商标申请号查询接口
export function findTrademarkzchAccurate(params) {
  return http.post(baseUrl, {
    actionType: "findTrademarkzchAccurate",
    actionBody: params
  });
}

//商标申请人查询接口
export function findTrademarkzcr(params) {
  return http.post(baseUrl, {
    actionType: "findTrademarkzcr",
    actionBody: params
  });
}
